OpenSCAD Redimensionner le maillage

From FreeCAD Documentation
Revision as of 12:45, 16 August 2020 by David69 (talk | contribs) (Created page with "# Sélectionnez l'objet maillé à mettre en miroir. # Cliquez sur le menu {{KEY|OpenSCAD → Scale Resize Feature...}} . # Sélectionnez l'axe souhaité dans la boîte de dia...")
Other languages:

OpenSCAD Redimensionner le maillage

Emplacement du menu
OpenSCAD → Resize Mesh Feature
Ateliers
OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

Crée un nouvel objet maillé redimensionné avec un dimensionnement indépendant pour chaque axe.


Utilisation

  1. Sélectionnez l'objet maillé à mettre en miroir.
  2. Cliquez sur le menu OpenSCAD → Scale Resize Feature... .
  3. Sélectionnez l'axe souhaité dans la boîte de dialogue, ou entrez votre propre axe personnalisé à utiliser et cliquez sur OK.
  • Un nouvel objet est créé et redimensionn&, l'objet d'origine est masqué.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
resized_mesh = OpenSCADUtils.resizemesh(original_mesh.Mesh, FreeCAD.Base.Vector(100,50,40))
#New mesh would be 100 mm on the x axis, 50 mm on the y axis, and 40 mm on the z axis.
Mesh.show(resized_mesh)